diff --git a/passerelle/apps/bdp/migrations/0001_initial.py b/passerelle/apps/bdp/migrations/0001_initial.py
index 503e736a..4f547717 100644
--- a/passerelle/apps/bdp/migrations/0001_initial.py
+++ b/passerelle/apps/bdp/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/bdp/migrations/0002_bdp_log_level.py b/passerelle/apps/bdp/migrations/0002_bdp_log_level.py
index ade9793b..9b75018f 100644
--- a/passerelle/apps/bdp/migrations/0002_bdp_log_level.py
+++ b/passerelle/apps/bdp/migrations/0002_bdp_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('bdp', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/bdp/migrations/0003_auto_20160316_0910.py b/passerelle/apps/bdp/migrations/0003_auto_20160316_0910.py
index 0058f98e..28c6e183 100644
--- a/passerelle/apps/bdp/migrations/0003_auto_20160316_0910.py
+++ b/passerelle/apps/bdp/migrations/0003_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('bdp', '0002_bdp_log_level'),
     ]
 
diff --git a/passerelle/apps/bdp/migrations/0004_auto_20160407_0456.py b/passerelle/apps/bdp/migrations/0004_auto_20160407_0456.py
index 8a75b1a5..f13c72f7 100644
--- a/passerelle/apps/bdp/migrations/0004_auto_20160407_0456.py
+++ b/passerelle/apps/bdp/migrations/0004_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('bdp', '0003_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/bdp/urls.py b/passerelle/apps/bdp/urls.py
index 174db442..69e9f354 100644
--- a/passerelle/apps/bdp/urls.py
+++ b/passerelle/apps/bdp/urls.py
@@ -1,11 +1,12 @@
-from django.views.decorators.csrf import csrf_exempt
 from django.conf.urls import url
-from .views import BdpDetailView, ResourcesView, PostAdherentView
+from django.views.decorators.csrf import csrf_exempt
+
+from .views import BdpDetailView, PostAdherentView, ResourcesView
 
 urlpatterns = [
     url(r'^(?P<slug>[\w,-]+)/$', BdpDetailView.as_view(), name='bdp-view'),
     url(r'^(?P<slug>[\w,-]+)/(?P<resources>[\w,-]+)/$', ResourcesView.as_view(), name='bdp-resources'),
     url(
         r'^(?P<slug>[\w,-]+)/post/adherent/$',
         csrf_exempt(PostAdherentView.as_view()),
         name='bdp-post-adherent',
diff --git a/passerelle/apps/bdp/views.py b/passerelle/apps/bdp/views.py
index 947e58cd..a20c3955 100644
--- a/passerelle/apps/bdp/views.py
+++ b/passerelle/apps/bdp/views.py
@@ -1,14 +1,14 @@
 from django.http import Http404
 from django.views.generic.base import View
-from django.views.generic.detail import SingleObjectMixin, DetailView
+from django.views.generic.detail import DetailView, SingleObjectMixin
 
-from passerelle.compat import json_loads
 import passerelle.utils as utils
+from passerelle.compat import json_loads
 
 from .models import Bdp
 
 # See documentation:
 # https://dev.entrouvert.org/projects/bdp/wiki/WebServices
 
 
 class ResourcesView(View, SingleObjectMixin):
diff --git a/passerelle/apps/choosit/migrations/0001_initial.py b/passerelle/apps/choosit/migrations/0001_initial.py
index 4500cf92..39617018 100644
--- a/passerelle/apps/choosit/migrations/0001_initial.py
+++ b/passerelle/apps/choosit/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/choosit/migrations/0002_auto_20160316_0528.py b/passerelle/apps/choosit/migrations/0002_auto_20160316_0528.py
index fa6dc52a..cb2bc463 100644
--- a/passerelle/apps/choosit/migrations/0002_auto_20160316_0528.py
+++ b/passerelle/apps/choosit/migrations/0002_auto_20160316_0528.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('choosit', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/choosit/migrations/0003_auto_20160316_0910.py b/passerelle/apps/choosit/migrations/0003_auto_20160316_0910.py
index 8b0a1bf9..8da310c6 100644
--- a/passerelle/apps/choosit/migrations/0003_auto_20160316_0910.py
+++ b/passerelle/apps/choosit/migrations/0003_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('choosit', '0002_auto_20160316_0528'),
     ]
 
diff --git a/passerelle/apps/choosit/migrations/0004_auto_20160407_0456.py b/passerelle/apps/choosit/migrations/0004_auto_20160407_0456.py
index 7e125e1f..03af97be 100644
--- a/passerelle/apps/choosit/migrations/0004_auto_20160407_0456.py
+++ b/passerelle/apps/choosit/migrations/0004_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('choosit', '0003_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/choosit/migrations/0005_choositsmsgateway_default_trunk_prefix.py b/passerelle/apps/choosit/migrations/0005_choositsmsgateway_default_trunk_prefix.py
index 8a1fad75..2fbb46cb 100644
--- a/passerelle/apps/choosit/migrations/0005_choositsmsgateway_default_trunk_prefix.py
+++ b/passerelle/apps/choosit/migrations/0005_choositsmsgateway_default_trunk_prefix.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('choosit', '0004_auto_20160407_0456'),
     ]
 
diff --git a/passerelle/apps/cityweb/cityweb.py b/passerelle/apps/cityweb/cityweb.py
index c63bd5ed..09d03a82 100644
--- a/passerelle/apps/cityweb/cityweb.py
+++ b/passerelle/apps/cityweb/cityweb.py
@@ -11,27 +11,27 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import os
 import stat
-from lxml import etree, objectify as xobject
 
-from django.core.files.storage import default_storage
 from django.core.files.base import ContentFile
+from django.core.files.storage import default_storage
 from django.utils import six
 from django.utils.dateparse import parse_date
 from django.utils.encoding import force_bytes
+from lxml import etree
+from lxml import objectify as xobject
 
-from passerelle.utils.jsonresponse import APIError
 from passerelle.utils.files import atomic_write
-
+from passerelle.utils.jsonresponse import APIError
 
 CERTIFICATE_TYPES = [
     {"id": "NAI", "text": "Naissance"},
     {"id": "MAR", "text": "Mariage"},
     {"id": "REC", "text": "Reconnaissance"},
     {"id": "DEC", "text": "Décès"},
 ]
 
diff --git a/passerelle/apps/clicrdv/migrations/0001_initial.py b/passerelle/apps/clicrdv/migrations/0001_initial.py
index 8d89150a..4b87a038 100644
--- a/passerelle/apps/clicrdv/migrations/0001_initial.py
+++ b/passerelle/apps/clicrdv/migrations/0001_initial.py
@@ -1,11 +1,11 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = []
 
     operations = []
diff --git a/passerelle/apps/clicrdv/urls.py b/passerelle/apps/clicrdv/urls.py
index ed2273eb..427bec84 100644
--- a/passerelle/apps/clicrdv/urls.py
+++ b/passerelle/apps/clicrdv/urls.py
@@ -1,14 +1,13 @@
-from django.views.decorators.csrf import csrf_exempt
 from django.conf.urls import include, url
-
-from passerelle.urls_utils import decorated_includes, required, app_enabled
+from django.views.decorators.csrf import csrf_exempt
 
 from passerelle.apps.clicrdv.views import *
+from passerelle.urls_utils import app_enabled, decorated_includes, required
 
 urlpatterns = [
     url(r'^(?P<slug>[\w,-]+)/$', ClicRdvDetailView.as_view(), name='clicrdv-view'),
     url(
         r'^(?P<slug>[\w,-]+)/interventions/(?P<intervention_id>\d+)/datetimes/$',
         DateTimesView.as_view(),
         name='clicrdv-datetimes',
     ),
diff --git a/passerelle/apps/clicrdv/views.py b/passerelle/apps/clicrdv/views.py
index 3c9f1e68..4a6816cd 100644
--- a/passerelle/apps/clicrdv/views.py
+++ b/passerelle/apps/clicrdv/views.py
@@ -1,15 +1,14 @@
 from django.views.generic.base import View
-from django.views.generic.detail import SingleObjectMixin, DetailView
+from django.views.generic.detail import DetailView, SingleObjectMixin
 
-from passerelle.compat import json_loads
 import passerelle.utils as utils
-
 from passerelle.apps.clicrdv.models import ClicRdv
+from passerelle.compat import json_loads
 
 
 class ClicRdvDetailView(DetailView):
     model = ClicRdv
 
 
 class DateTimesView(View, SingleObjectMixin):
     """list of free date&times in a intervention
diff --git a/passerelle/apps/cmis/migrations/0001_initial.py b/passerelle/apps/cmis/migrations/0001_initial.py
index 8518197e..fc967bf2 100644
--- a/passerelle/apps/cmis/migrations/0001_initial.py
+++ b/passerelle/apps/cmis/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0005_resourcelog'),
     ]
 
diff --git a/passerelle/apps/cmis/models.py b/passerelle/apps/cmis/models.py
index 14c4f6f5..a96d7c73 100644
--- a/passerelle/apps/cmis/models.py
+++ b/passerelle/apps/cmis/models.py
@@ -12,35 +12,36 @@
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import base64
 import binascii
 import functools
-import httplib2
 import re
 
+import httplib2
 from cmislib import CmisClient
-from cmislib.exceptions import CmisException
-from cmislib.exceptions import ObjectNotFoundException
-from cmislib.exceptions import PermissionDeniedException
-from cmislib.exceptions import UpdateConflictException
-from cmislib.exceptions import InvalidArgumentException
+from cmislib.exceptions import (
+    CmisException,
+    InvalidArgumentException,
+    ObjectNotFoundException,
+    PermissionDeniedException,
+    UpdateConflictException,
+)
 from django.db import models
-from django.utils.translation import ugettext_lazy as _
 from django.utils.six import BytesIO
 from django.utils.six.moves.urllib import error as urllib2
+from django.utils.translation import ugettext_lazy as _
 
 from passerelle.base.models import BaseResource
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError
 
-
 SPECIAL_CHARS = '!#$%&+-^_`~;[]{}+=~'
 FILE_PATH_PATTERN = r'^(/|(/[\w%s]+)+)$' % re.escape(SPECIAL_CHARS)
 FILE_NAME_PATTERN = r'[\w%s\.]+$' % re.escape(SPECIAL_CHARS)
 
 
 UPLOAD_SCHEMA = {
     'type': 'object',
     'properties': {
diff --git a/passerelle/apps/csvdatasource/migrations/0001_initial.py b/passerelle/apps/csvdatasource/migrations/0001_initial.py
index c25b605c..19680ae4 100644
--- a/passerelle/apps/csvdatasource/migrations/0001_initial.py
+++ b/passerelle/apps/csvdatasource/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/csvdatasource/migrations/0002_csvdatasource_log_level.py b/passerelle/apps/csvdatasource/migrations/0002_csvdatasource_log_level.py
index c493127b..f5e58ff9 100644
--- a/passerelle/apps/csvdatasource/migrations/0002_csvdatasource_log_level.py
+++ b/passerelle/apps/csvdatasource/migrations/0002_csvdatasource_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('csvdatasource', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/csvdatasource/migrations/0003_auto_20160316_0910.py b/passerelle/apps/csvdatasource/migrations/0003_auto_20160316_0910.py
index bd3311a3..f3d9a7ae 100644
--- a/passerelle/apps/csvdatasource/migrations/0003_auto_20160316_0910.py
+++ b/passerelle/apps/csvdatasource/migrations/0003_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('csvdatasource', '0002_csvdatasource_log_level'),
     ]
 
diff --git a/passerelle/apps/csvdatasource/migrations/0004_auto_20160407_0456.py b/passerelle/apps/csvdatasource/migrations/0004_auto_20160407_0456.py
index 00fbc8f9..ce59c3a6 100644
--- a/passerelle/apps/csvdatasource/migrations/0004_auto_20160407_0456.py
+++ b/passerelle/apps/csvdatasource/migrations/0004_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('csvdatasource', '0003_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/csvdatasource/migrations/0005_csvdatasource__dialect_options.py b/passerelle/apps/csvdatasource/migrations/0005_csvdatasource__dialect_options.py
index e24f063c..b62512c3 100644
--- a/passerelle/apps/csvdatasource/migrations/0005_csvdatasource__dialect_options.py
+++ b/passerelle/apps/csvdatasource/migrations/0005_csvdatasource__dialect_options.py
@@ -1,13 +1,13 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import django.contrib.postgres.fields.jsonb
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('csvdatasource', '0004_auto_20160407_0456'),
     ]
 
diff --git a/passerelle/apps/csvdatasource/migrations/0009_auto_20161109_0353.py b/passerelle/apps/csvdatasource/migrations/0009_auto_20161109_0353.py
index 7948fd50..8938f6d6 100644
--- a/passerelle/apps/csvdatasource/migrations/0009_auto_20161109_0353.py
+++ b/passerelle/apps/csvdatasource/migrations/0009_auto_20161109_0353.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('csvdatasource', '0008_auto_20161025_1156'),
     ]
 
diff --git a/passerelle/apps/csvdatasource/models.py b/passerelle/apps/csvdatasource/models.py
index 0970e6d7..096a12cb 100644
--- a/passerelle/apps/csvdatasource/models.py
+++ b/passerelle/apps/csvdatasource/models.py
@@ -9,44 +9,41 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+import csv
 import datetime
 import os
 import re
-import csv
-from collections import OrderedDict
 import tempfile
+from collections import OrderedDict
 
-import six
 import pytz
-
-from pyexcel_ods import get_data as get_data_ods
-from pyexcel_xls import get_data as get_data_xls
-
-from django.contrib.postgres.fields import JSONField
-from django.utils.encoding import force_str, smart_text, force_text
-from django.utils.timezone import make_aware
+import six
 from django.conf import settings
-from django.db import models, transaction
+from django.contrib.postgres.fields import JSONField
 from django.core.exceptions import ValidationError
+from django.db import models, transaction
 from django.urls import reverse
-from django.utils.timezone import now
+from django.utils.encoding import force_str, force_text, smart_text
+from django.utils.timezone import make_aware, now
 from django.utils.translation import ugettext_lazy as _
+from pyexcel_ods import get_data as get_data_ods
+from pyexcel_xls import get_data as get_data_xls
 
 from passerelle.base.models import BaseResource
 from passerelle.utils import batch
-from passerelle.utils.jsonresponse import APIError
 from passerelle.utils.api import endpoint
 from passerelle.utils.conversion import normalize
+from passerelle.utils.jsonresponse import APIError
 
 identifier_re = re.compile(r"^[^\d\W]\w*\Z", re.UNICODE)
 
 
 code_cache = OrderedDict()
 
 
 def get_code(expr):
diff --git a/passerelle/apps/csvdatasource/views.py b/passerelle/apps/csvdatasource/views.py
index 1502b06e..f603d1c0 100644
--- a/passerelle/apps/csvdatasource/views.py
+++ b/passerelle/apps/csvdatasource/views.py
@@ -13,17 +13,17 @@
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import os
 
 from django.http import HttpResponse
 from django.shortcuts import get_object_or_404
-from django.views.generic import View, UpdateView, CreateView, DeleteView
+from django.views.generic import CreateView, DeleteView, UpdateView, View
 
 from .forms import QueryForm
 from .models import CsvDataSource, Query
 
 
 class NewQueryView(CreateView):
     model = Query
     form_class = QueryForm
diff --git a/passerelle/apps/family/loaders/concerto_orleans.py b/passerelle/apps/family/loaders/concerto_orleans.py
index 48a0dbb0..d22401fa 100644
--- a/passerelle/apps/family/loaders/concerto_orleans.py
+++ b/passerelle/apps/family/loaders/concerto_orleans.py
@@ -9,29 +9,28 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import os
 import csv
+import os
 from decimal import Decimal
 
-from django.utils.timezone import make_aware, datetime
+from django.core.exceptions import ValidationError
+from django.core.files.storage import DefaultStorage
 from django.utils import six, timezone
 from django.utils.encoding import force_text
-from django.core.exceptions import ValidationError
+from django.utils.timezone import datetime, make_aware
 from django.utils.translation import ugettext_lazy as _
-from django.core.files.storage import DefaultStorage
 
-from ..models import Family, Adult, Child, Invoice
-from ..models import dict_cherry_pick, get_datetime, get_date
+from ..models import Adult, Child, Family, Invoice, dict_cherry_pick, get_date, get_datetime
 
 
 def normalize_adult(adult):
     sex = adult['typ_sexe']
     if sex == 'G':
         sex = 'M'
     return {
         'external_id': adult['id_per'],
diff --git a/passerelle/apps/family/migrations/0001_initial.py b/passerelle/apps/family/migrations/0001_initial.py
index d7fc97fc..ed40e20e 100644
--- a/passerelle/apps/family/migrations/0001_initial.py
+++ b/passerelle/apps/family/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0002_auto_20151009_0326'),
     ]
 
diff --git a/passerelle/apps/family/migrations/0007_auto_20161122_1816.py b/passerelle/apps/family/migrations/0007_auto_20161122_1816.py
index 5115709d..9c5f6bf0 100644
--- a/passerelle/apps/family/migrations/0007_auto_20161122_1816.py
+++ b/passerelle/apps/family/migrations/0007_auto_20161122_1816.py
@@ -1,13 +1,14 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import datetime
+
+from django.db import migrations, models
 from django.utils.timezone import utc
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('family', '0006_invoice_no_online_payment_reason'),
     ]
diff --git a/passerelle/apps/family/models.py b/passerelle/apps/family/models.py
index 327957ce..43009272 100644
--- a/passerelle/apps/family/models.py
+++ b/passerelle/apps/family/models.py
@@ -11,32 +11,30 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from datetime import date
 import os
 import sys
 import zipfile
-
-import pytz
-
 from collections import defaultdict
+from datetime import date
 
+import pytz
 from django.core.exceptions import ValidationError
 from django.core.files.storage import default_storage
+from django.db import models, transaction
+from django.http import Http404, HttpResponse
 from django.utils import six
+from django.utils.timezone import datetime, is_naive, make_aware, now
 from django.utils.translation import ugettext_lazy as _
-from django.http import Http404, HttpResponse
-from django.db import models, transaction
-from django.utils.timezone import make_aware, datetime, now, is_naive
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
 from passerelle.utils.api import endpoint
 
 SEXES = (
     ('M', _('Male')),
     ('F', _('Female')),
diff --git a/passerelle/apps/gdc/migrations/0001_initial.py b/passerelle/apps/gdc/migrations/0001_initial.py
index 8d710dc5..3b6e0646 100644
--- a/passerelle/apps/gdc/migrations/0001_initial.py
+++ b/passerelle/apps/gdc/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/gdc/migrations/0002_gdc_log_level.py b/passerelle/apps/gdc/migrations/0002_gdc_log_level.py
index 6146d00c..fcfef93f 100644
--- a/passerelle/apps/gdc/migrations/0002_gdc_log_level.py
+++ b/passerelle/apps/gdc/migrations/0002_gdc_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('gdc', '0001_initial'),
     ]
 
diff --git a/passerelle/apps/gdc/migrations/0003_auto_20160316_0910.py b/passerelle/apps/gdc/migrations/0003_auto_20160316_0910.py
index d5c5b82c..00fb26b5 100644
--- a/passerelle/apps/gdc/migrations/0003_auto_20160316_0910.py
+++ b/passerelle/apps/gdc/migrations/0003_auto_20160316_0910.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('gdc', '0002_gdc_log_level'),
     ]
 
diff --git a/passerelle/apps/gdc/migrations/0004_auto_20160407_0456.py b/passerelle/apps/gdc/migrations/0004_auto_20160407_0456.py
index 08913a01..c7c25e25 100644
--- a/passerelle/apps/gdc/migrations/0004_auto_20160407_0456.py
+++ b/passerelle/apps/gdc/migrations/0004_auto_20160407_0456.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('gdc', '0003_auto_20160316_0910'),
     ]
 
diff --git a/passerelle/apps/gdc/urls.py b/passerelle/apps/gdc/urls.py
index a47d6844..d4985df9 100644
--- a/passerelle/apps/gdc/urls.py
+++ b/passerelle/apps/gdc/urls.py
@@ -9,18 +9,19 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.views.decorators.csrf import csrf_exempt
 from django.conf.urls import url
-from .views import GdcDetailView, VoiesView, PostDemandeView, StatusView
+from django.views.decorators.csrf import csrf_exempt
+
+from .views import GdcDetailView, PostDemandeView, StatusView, VoiesView
 
 urlpatterns = [
     url(r'^(?P<slug>[\w,-]+)/$', GdcDetailView.as_view(), name='gdc-view'),
     url(r'^(?P<slug>[\w,-]+)/voies/(?P<insee>\d+)$', VoiesView.as_view(), name='gdc-voies'),
     url(r'^(?P<slug>[\w,-]+)/post/demande$', csrf_exempt(PostDemandeView.as_view()), name='gdc-post'),
     url(r'^(?P<slug>[\w,-]+)/status/(?P<ref>\d+)', StatusView.as_view(), name='gdc-status'),
 ]
diff --git a/passerelle/apps/gdc/views.py b/passerelle/apps/gdc/views.py
index 5422a413..178429db 100644
--- a/passerelle/apps/gdc/views.py
+++ b/passerelle/apps/gdc/views.py
@@ -12,20 +12,20 @@
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
 from django.utils.encoding import force_text
 from django.views.generic.base import View
-from django.views.generic.detail import SingleObjectMixin, DetailView
+from django.views.generic.detail import DetailView, SingleObjectMixin
 
-from passerelle.compat import json_loads
 import passerelle.utils as utils
+from passerelle.compat import json_loads
 from passerelle.utils.conversion import normalize
 
 from .models import Gdc, phpserialize, phpserialize_loads
 
 
 class GdcCrash(Exception):
     pass
 
diff --git a/passerelle/apps/gesbac/models.py b/passerelle/apps/gesbac/models.py
index de2ae14e..e1c2499e 100644
--- a/passerelle/apps/gesbac/models.py
+++ b/passerelle/apps/gesbac/models.py
@@ -11,30 +11,28 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import csv
 import io
-
 from collections import OrderedDict
 
 from django.contrib.postgres.fields import JSONField
-from django.db import models, transaction, IntegrityError
+from django.db import IntegrityError, models, transaction
+from django.http import Http404
 from django.utils import six
 from django.utils.encoding import force_bytes
 from django.utils.translation import ugettext_lazy as _
-from django.http import Http404
 
 from passerelle.base.models import BaseResource
-from passerelle.utils.api import endpoint, APIError
 from passerelle.utils import SFTPField
-
+from passerelle.utils.api import APIError, endpoint
 
 CSV_DELIMITER = ';'
 FILES_ENCODING = 'latin-1'
 
 APPLICANT_SCHEMA = OrderedDict(
     (
         (
             "form_id",
diff --git a/passerelle/apps/jsondatastore/models.py b/passerelle/apps/jsondatastore/models.py
index 4589ebc6..413a7124 100644
--- a/passerelle/apps/jsondatastore/models.py
+++ b/passerelle/apps/jsondatastore/models.py
@@ -18,17 +18,17 @@ import uuid
 
 from django.contrib.postgres.fields import JSONField
 from django.db import models
 from django.template import Context, Template
 from django.utils.translation import ugettext_lazy as _
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
-from passerelle.utils.api import endpoint, APIError
+from passerelle.utils.api import APIError, endpoint
 from passerelle.utils.conversion import simplify
 
 
 def get_hex_uuid():
     return uuid.uuid4().hex
 
 
 def clean_json_data(data):
diff --git a/passerelle/apps/mdel/models.py b/passerelle/apps/mdel/models.py
index c6f58e57..8798a67a 100644
--- a/passerelle/apps/mdel/models.py
+++ b/passerelle/apps/mdel/models.py
@@ -18,25 +18,23 @@
 import os
 
 from django.db import models
 from django.utils import six
 from django.utils.translation import ugettext_lazy as _
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
+from passerelle.utils import SFTPField
 from passerelle.utils.api import endpoint
 from passerelle.utils.files import atomic_write
 from passerelle.utils.jsonresponse import APIError
-from passerelle.utils import SFTPField
 
 from . import mdel
-
-from .utils import zipdir, get_file_content_from_zip, parse_date
-
+from .utils import get_file_content_from_zip, parse_date, zipdir
 
 DEMAND_TYPES = ['ILE-LA', 'RCO-LA', 'AEC-LA']
 
 STATUS_MAPPING = {
     '100': 'closed',
     '20': 'rejected',
     '19': 'accepted',
     '17': 'information needed',
